import { MAIN_MENU, useTranslation } from 'core/i18n';
import { TMainMenuMessage } from './types';

export function useMainMenuMessages(): TMainMenuMessage {
  const { t } = useTranslation([MAIN_MENU]);

  return {
    assets: {
      title: t('main_menu:app.main_menu.header_drop_down.assets.title'),
      assets_table: t(
        'main_menu:app.main_menu.header_drop_down.assets.assets_table',
      ),
      network_maps: {
        title: t(
          'main_menu:app.main_menu.header_drop_down.assets.network_maps.title',
        ),
        static: t(
          'main_menu:app.main_menu.header_drop_down.assets.network_maps.static',
        ),
        automatic: t(
          'main_menu:app.main_menu.header_drop_down.assets.network_maps.automatic',
        ),
      },
      security: t('main_menu:app.main_menu.header_drop_down.assets.security'),
      endpoint: t('main_menu:app.main_menu.header_drop_down.assets.endpoint'),
    },
    journals: {
      title: t('main_menu:app.main_menu.header_drop_down.journals.title'),
      incidents: t(
        'main_menu:app.main_menu.header_drop_down.journals.incidents',
      ),
      events: t('main_menu:app.main_menu.header_drop_down.journals.events'),
      correlations: t(
        'main_menu:app.main_menu.header_drop_down.journals.settings.correlations',
      ),
    },
    settings: {
      title: t('main_menu:app.main_menu.header_drop_down.settings.title'),
      system_settings: {
        title: t(
          'main_menu:app.main_menu.header_drop_down.settings.system_settings.title',
        ),
      },
      license: {
        title: t(
          'main_menu:app.main_menu.header_drop_down.settings.license.title',
        ),
        current: t(
          'main_menu:app.main_menu.header_drop_down.settings.license.current',
        ),
        activation: t(
          'main_menu:app.main_menu.header_drop_down.settings.license.activation',
        ),
      },
      journals: {
        title: t('main_menu:app.main_menu.header_drop_down.journals.title'),
        rotations: t(
          'main_menu:app.main_menu.header_drop_down.settings.journals.rotations',
        ),
        exports: t(
          'main_menu:app.main_menu.header_drop_down.settings.journals.export',
        ),
        storage: t(
          'main_menu:app.main_menu.header_drop_down.settings.journals.storage',
        ),
      },
    },
    ncircc: {
      title: t('main_menu:app.main_menu.header_drop_down.ncircc.title'),
    },
  };
}
